{ theme, ... }:

let
  theme_name = if theme == "light" then "Solarized Light" else "Solarized Dark";
in
{
  programs = {
    kitty = {
      enable = true;
      theme = theme_name;
      font = {
        name = "FiraCode";
      };
      settings = {
        tab_bar_style = "powerline";
      };
    };
  };
}
